petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESGetNonlinearStepFailures

Gets the number of unsuccessful steps attempted by the nonlinear solver.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetNonlinearStepFailures(SNES snes,PetscInt *nfails)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

nfails -number of unsuccessful steps attempted

### Notes

This counter is reset to zero for each successive call to SNESSolve().

### Keywords

SNES, nonlinear, get, number, unsuccessful, steps

### See Also

SNESGetMaxLinearSolveFailures(), SNESGetLinearSolveIterations(), SNESSetMaxLinearSolveFailures(), SNESGetLinearSolveFailures(),
SNESSetMaxNonlinearStepFailures(), SNESGetMaxNonlinearStepFailures()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages